Bug 876916 - anaconda claims I don't have enough free space when I have
anaconda claims I don't have enough free space when I have
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
20
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Vratislav Podzimek
Fedora Extras Quality Assurance
AcceptedNTH DevConf
:
: 928886 (view as bug list)
Depends On:
Blocks: F18-accepted/F18FinalFreezeExcept
  Show dependency treegraph
 
Reported: 2012-11-15 04:52 EST by Kamil Páral
Modified: 2015-05-29 08:56 EDT (History)
9 users (show)

See Also:
Fixed In Version: anaconda-21.48.3-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-05-29 08:56:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda screenshot (82.00 KB, image/png)
2012-11-15 04:54 EST, Kamil Páral
no flags Details
*the screen* in 18.37.5 (75.05 KB, image/png)
2012-12-20 04:39 EST, Kamil Páral
no flags Details
18.37.5 anaconda.log (6.22 KB, text/plain)
2012-12-20 04:39 EST, Kamil Páral
no flags Details
18.37.5 storage.log (43.83 KB, text/plain)
2012-12-20 04:39 EST, Kamil Páral
no flags Details
F19 anaconda screenshot (105.00 KB, image/png)
2013-04-24 06:23 EDT, Martin Krizek
no flags Details
20.25 first space dialog (96.34 KB, image/png)
2013-10-17 08:54 EDT, Kamil Páral
no flags Details
20.25 second space dialog (97.14 KB, image/png)
2013-10-17 08:55 EDT, Kamil Páral
no flags Details
anaconda 20.25.6 (555.49 KB, video/ogg)
2013-11-07 04:52 EST, Kamil Páral
no flags Details

  None (edit)
Description Kamil Páral 2012-11-15 04:52:54 EST
Description of problem:
See attachment 645518 [details].

Version-Release number of selected component (if applicable):
anaconda 18.28

How reproducible:
always

Steps to Reproduce:
1. create a 10 GiB HDD
2. create a single 5GB ext4 standard partition at the beginning of the disk
3. start Anaconda, go to Partitioning screen, hit Continue
Comment 1 Kamil Páral 2012-11-15 04:54:28 EST
Created attachment 645544 [details]
anaconda screenshot

Sorry, the attachment in the description is not fully related to the reproducer. This one is. Please see this one and disregard the previous one.
Comment 2 Steve Tyler 2012-11-15 22:56:13 EST
The number for the required disk space is only for the software selection. It does not include the amount of swap space that would be allocated by automatic partitioning: Bug 876091, Comment 2.

Bug 876091 - Can not use free space to partition
Comment 3 Chris Lumens 2012-11-29 22:04:25 EST
In order to dupe, I'd first want to know how much swap space anaconda wanted to make.  Can you check in /tmp/anaconda.log and/or /tmp/storage.log?
Comment 4 Kamil Páral 2012-11-30 04:00:00 EST
Chris, all my VMs have 1.5 GB RAM, so anaconda most definitely wanted to create 3 GB of swap. The numbers in the screenshot match that: 2.67 GB + 3 GB > 5.47 GB

If you need exact logs, I can reproduce it fully and upload them here. But I'm pretty sure the proposed swap was 3 GB in size.
Comment 5 Adam Williamson 2012-12-19 13:57:40 EST
Discussed at 2012-12-19 NTH review meeting: http://meetbot.fedoraproject.org/fedora-bugzappers/2012-12-19/f18final-blocker-review-6.2012-12-19-17.02.log.txt . Accepted as NTH - it's always useful to refine the minimum space detection - though if the fix is too big / risky we shouldn't pull it - please let us know if it looks like being a messy fix.
Comment 6 Adam Williamson 2012-12-19 13:58:37 EST
<bcl> adamw: that one clearly needs logs.

so we do need to provide precise logs, kamil. If I find time I might try to reproduce this and do it, if you don't get around to it first.
Comment 7 Kamil Páral 2012-12-20 04:39:07 EST
Created attachment 666567 [details]
*the screen* in 18.37.5
Comment 8 Kamil Páral 2012-12-20 04:39:38 EST
Created attachment 666568 [details]
18.37.5 anaconda.log
Comment 9 Kamil Páral 2012-12-20 04:39:57 EST
Created attachment 666569 [details]
18.37.5 storage.log
Comment 10 Kamil Páral 2012-12-20 04:43:08 EST
The red text in comment #7 is unrelated to this bug, just an improvement suggestion that really hits users' eyes. But the numbers are wrong similarly to the previous example - "requires 3.43 GB", "5.47 GB free", "you don't have enough space".
Comment 11 Kamil Páral 2013-02-22 03:53:37 EST
The same problem is in anaconda 19.8.
Comment 12 Pádraig Brady 2013-03-29 06:41:04 EDT
*** Bug 928886 has been marked as a duplicate of this bug. ***
Comment 13 Pádraig Brady 2013-03-29 06:44:38 EDT
I hit this _very_ confusing issue when I installed to a VM.
By default virt-manager uses 8G disk images for VM storage,

With Fedora 19 requiring 4.5G and requiring 2G RAM VMs (4G swap I suppose),
we hit the issue easily.
Comment 14 Fedora End Of Life 2013-04-03 09:39:53 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 15 Chris Lumens 2013-04-23 16:21:45 EDT
Given the fix for bug 853636 is now committed, can someone please re-test this bug report too?  Thanks.
Comment 16 Martin Krizek 2013-04-24 06:23:10 EDT
Created attachment 739378 [details]
F19 anaconda screenshot

The issue seems to persist.
Comment 17 Kamil Páral 2013-04-24 06:29:21 EDT
(In reply to comment #16)
To clarify, this is F19 Alpha with anaconda 19.20-1. Again, it claims it needs 3.7 GB, 5.11 GB is free, but it says there is not enough space available.
Comment 18 Kamil Páral 2013-10-17 08:54:30 EDT
Created attachment 813299 [details]
20.25 first space dialog

With Anaconda 20.25 (F20 Beta TC4), the initial dialog claims that I need 2.92 GB of space. After I claim 3.2 GB free, I'm told that it's not sufficient and the same dialog claims that I need 3.95 GB of space.

The swap is counted only in the second attempt.
Comment 19 Kamil Páral 2013-10-17 08:55:01 EDT
Created attachment 813300 [details]
20.25 second space dialog
Comment 20 Kamil Páral 2013-11-07 04:52:45 EST
Created attachment 820971 [details]
anaconda 20.25.6

A funny story with anaconda 20.25.6. Still not counting correctly.
Comment 21 Pádraig Brady 2013-11-07 09:50:12 EST
Setting priority high since you hit this often (like install to default VM for e.g.)

Setting severity high since it's very confusing and blocks install
Comment 22 Fedora End Of Life 2015-05-29 04:48:54 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 23 Kamil Páral 2015-05-29 08:56:10 EDT
Seems to work well in Fedora 22.

Note You need to log in before you can comment on or make changes to this bug.